namespace IrrlichtNetSwig
{
    public partial class dimension2di
    {
        public static dimension2di operator +(dimension2di x, dimension2di y)
        {
            return x.add(y);
        }
        public static dimension2di operator *(dimension2di x, int y)
        {
            return x.mul(y);
        }
        public static dimension2di operator /(dimension2di x, int y)
        {
            return x.div(y);
        }
        public static explicit operator dimension2di(dimension2df original)
        {
            return new dimension2di((int)original.Width, (int)original.Height);
        }
        public static explicit operator dimension2di(dimension2dui original)
        {
            return new dimension2di((int)original.Width, (int)original.Height);
        }
    }
}